## Column Indexes

## Usage

    col(x, as.factor=FALSE)

## Arguments

`x` | a matrix.
`as.factor` | a logical value indicating whether the value should be returned as a factor rather than as numeric.

## Value

An integer matrix with the same dimensions as `x` and whose `ij`-th element is equal to `j`.

## See Also

`row` to get rows.

## Examples

    # extract an off-diagonal of a matrix
    ma <- matrix(1:12, 3,4)
    ma[row(ma)==col(ma) + 1]

    # create an identity 5-by-5 matrix
    x <- matrix(0,nr=5,nc=5)
    x[row(x)==col(x)] <- 1

[Package Contents]